# Class InvalidSmilesException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.jmol.smiles.InvalidSmilesException

All Implemented Interfaces:
  `Serializable`

public class InvalidSmilesException extends Exception
Exception thrown for invalid SMILES String

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidSmilesException(String message)`
Constructs a `InvalidSmilesException` with a detail message.

## Method Summary

Modifier and Type
Method
Description
`static void`
`clear()`
`static String`
`getLastError()`
`String`
`getMessage()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidSmilesException

public InvalidSmilesException(String message)
Constructs a `InvalidSmilesException` with a detail message.

Parameters:
  `message` - The detail message.

## Method Details

### getLastError

public static String getLastError()

### clear

public static void clear()

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`